Skip to content

List templates

GET/templates

Costs 1 rate-limit point · Rate limits

Retrieve all templates for the authenticated store.

Returns

  • templatesarray of objects
    Show 18 child attributesHide child attributes
    • idinteger

      Use as template_id in pdf/send_email/create.

    • namestring
      Example: Default invoice
    • template_typestring
      Example: invoice
      One of invoicepacking_slipcredit_note
    • design_keystring, nullable
      Example: classic
    • pre_selected_ordersboolean
      Example: true
    • pre_selected_draft_ordersboolean
      Example: false
    • pre_selected_pos_ordersboolean
      Example: false
    • pre_selected_credit_notesboolean
      Example: false
    • accent_colorstring
      Example: #1F6FEB
    • font_familystring
      Example: Helvetica
    • font_sizeinteger
      Example: 11
    • date_formatstring
      Example: %d %b %Y
    • invoice_number_prefixstring
      Example: INV-
    • logo_urlstring, nullable
      Example: https://example.com/logo.png
    • logo_widthinteger
      Example: 120
    • logo_enabledboolean
      Example: true
    • created_atstring
      Example: 2025-11-03T14:02:00Z
    • updated_atstring
      Example: 2026-01-10T08:15:00Z

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

GET/templates
curl "https://app.invoicefalcon.com/api/v1/external/templates" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY"
Response
{
  "templates": [
    {
      "id": 311,
      "name": "Default invoice",
      "template_type": "invoice",
      "design_key": "classic",
      "pre_selected_orders": true,
      "pre_selected_draft_orders": false,
      "pre_selected_pos_orders": false,
      "pre_selected_credit_notes": false,
      "accent_color": "#1F6FEB",
      "font_family": "Helvetica",
      "font_size": 11,
      "date_format": "%d %b %Y",
      "invoice_number_prefix": "INV-",
      "logo_url": "https://example.com/logo.png",
      "logo_width": 120,
      "logo_enabled": true,
      "created_at": "2025-11-03T14:02:00Z",
      "updated_at": "2026-01-10T08:15:00Z"
    },
    {
      "id": 312,
      "name": "Packing slip",
      "template_type": "packing_slip",
      "design_key": null,
      "pre_selected_orders": false,
      "pre_selected_draft_orders": false,
      "pre_selected_pos_orders": false,
      "pre_selected_credit_notes": false,
      "accent_color": "#1F6FEB",
      "font_family": "Helvetica",
      "font_size": 11,
      "date_format": "%d %b %Y",
      "invoice_number_prefix": "",
      "logo_url": null,
      "logo_width": 120,
      "logo_enabled": false,
      "created_at": "2025-12-01T10:00:00Z",
      "updated_at": "2025-12-01T10:00:00Z"
    }
  ]
}